Bug 1490260 - Backport JDK-8180048: Interned strings not even garbage collected with full gc using G1 [NEEDINFO]
Summary: Backport JDK-8180048: Interned strings not even garbage collected with full g...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 7.4
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On: 1449870
Blocks: 1468473 1515212
TreeView+ depends on / blocked
 
Reported: 2017-09-11 07:43 UTC by Osamu Nagano
Modified: 2018-04-10 15:51 UTC (History)
10 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.151-3.b12.el7
Doc Type: If docs needed, set a value
Doc Text:
Prior to this update, the Java Virtual Machine (JVM) G1 garbage collector did not collect interned strings. As a consequence, the JVM sometimes terminated unexpectedly due to running out of memory when using large heaps. With this update, the garbage collector has been fixed to collect interned strings properly. As a result, the JVM no longer crashes due to this bug.
Clone Of: 1449870
: 1515212 (view as bug list)
Environment:
Last Closed: 2018-04-10 15:50:25 UTC
Target Upstream Version:
fkrska: needinfo? (dbhole)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
openjdk bug system JDK-8180048 None None None 2017-09-11 07:43:35 UTC
Icedtea Bugzilla 3411 None None None 2019-05-09 01:23:32 UTC
Red Hat Product Errata RHBA-2018:0872 None None None 2018-04-10 15:51:31 UTC

Comment 8 errata-xmlrpc 2018-04-10 15:50:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0872


Note You need to log in before you can comment on or make changes to this bug.